Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007297OCamltypingpublic2016-07-20 16:552017-09-24 17:33
Reportersliquister 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target VersionFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007297: -strict-sequence turns off "Warning 21: this statement never returns"
DescriptionBuilding:

let () = raise Exit; ()

should produce warning 21, but it only does when the compiler is not given -strict-sequence. The warning should be given regardless of the -strict-sequence flag.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016104)
sliquister (reporter)
2016-07-20 16:58

The typer unifies the type of the raise expression with unit, and then implements the warning. I suspect it should be the other way around.
(0016173)
garrigue (manager)
2016-08-03 02:06

Fixed in 4.04 by commit 9ec4eb6.

- Issue History
Date Modified Username Field Change
2016-07-20 16:55 sliquister New Issue
2016-07-20 16:58 sliquister Note Added: 0016104
2016-08-03 02:06 garrigue Note Added: 0016173
2016-08-03 02:06 garrigue Status new => resolved
2016-08-03 02:06 garrigue Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-08-03 02:06 garrigue Resolution open => fixed
2016-08-03 02:06 garrigue Assigned To => garrigue
2017-02-23 16:45 doligez Category OCaml typing => typing
2017-09-24 17:33 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker